# -*- coding: utf-8 -*-
# encoding: utf-8

# Gravaty
# Copyright © 2013  Marco Bresciani
#
# This program is free software: you can redistribute it and/or modify it under the terms of the GNU General Public
# License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later
# version.
#
# This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied
# warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along with this program. If not, see
# <http://www.gnu.org/licenses/>.

# ----------------------------------------------------------------------------------------------------------------------
# -------------------------------------------------------------------------------------------------- Gravaty description
# ----------------------------------------------------------------------------------------------------------------------
Gem::Specification.new do |a_gem|
  a_gem.add_development_dependency 'cucumber', '~>1.2.1'
  a_gem.add_development_dependency 'rake', '~>10.0.0.beta.2'
  a_gem.add_development_dependency 'rdoc', '~>3.12.1'
  a_gem.add_development_dependency 'rspec', '~>2.11.0'
  a_gem.author = 'Marco Bresciani'
  a_gem.authors = ['Marco Bresciani']
  a_gem.bindir = 'bin'
  a_gem.default_executable = 'bin/scheda'
  a_gem.description = %q{This gem can be used to retrieve data, information and avatars from Gravatar site, both as strings (URL to be displayed), images, MD5, ... It\'s just my first experiment with a "real" Ruby gem, hoping it will be useful for someone. GNU GPLv3 license; source code will be available soon somewhere or write me and I'll send it.}
  a_gem.email = 'm.bresciani at email.it'
  a_gem.extra_rdoc_files = %w(LICENSE README)
  a_gem.files = %w(Rakefile AUTHORS CHANGELOG LICENSE README THANKS TODO) + Dir.glob('{bin,lib,spec,doc}/**/*')
  a_gem.has_rdoc = true
  a_gem.homepage = 'http://it.linkedin.com/pub/marco-bresciani/51/b42/26a/'
  a_gem.license = 'GNU GPLv3'
  a_gem.name = 'gravaty'
  a_gem.platform = Gem::Platform::RUBY
  a_gem.require_path = 'lib'
  a_gem.required_ruby_version = '>= 1.9.3'
  a_gem.requirements = a_gem.required_ruby_version.to_s, a_gem.dependencies.to_s
  a_gem.summary = 'My first experimental Ruby gem to retrieve information from Gravatar site.'
  a_gem.version = '0.0.8'
end
